# kunta-api-client

KuntaApiClient - JavaScript client for kunta-api-client
Solution to combine municipality services under single API.
This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 0.1.0
- Package version: 0.0.132
- Build date: 2017-12-20T15:09:07.219+02:00
- Build package: class io.swagger.codegen.languages.JavascriptClientCodegen

## Installation

### For [Node.js](https://nodejs.org/)

#### npm

To publish the library as a [npm](https://www.npmjs.com/),
please follow the procedure in ["Publishing npm packages"](https://docs.npmjs.com/getting-started/publishing-npm-packages).

Then install it via:

```shell
npm install kunta-api-client --save
```

#### git
#
If the library is hosted at a git repository, e.g.
https://github.com/GIT_USER_ID/GIT_REPO_ID
then install it via:

```shell
    npm install GIT_USER_ID/GIT_REPO_ID --save
```

### For browser

The library also works in the browser environment via npm and [browserify](http://browserify.org/). After following
the above steps with Node.js and installing browserify with `npm install -g browserify`,
perform the following (assuming *main.js* is your entry file):

```shell
browserify main.js > bundle.js
```

Then include *bundle.js* in the HTML pages.

## Getting Started

Please follow the [installation](#installation) instruction and execute the following JS code:

```javascript
var KuntaApiClient = require('kunta-api-client');

var defaultClient = KuntaApiClient.ApiClient.instance;

// Configure HTTP basic authorization: basicAuth
var basicAuth = defaultClient.authentications['basicAuth'];
basicAuth.username = 'YOUR USERNAME'
basicAuth.password = 'YOUR PASSWORD'

var api = new KuntaApiClient.AnnouncementsApi()

var organizationId = "organizationId_example"; // {String} Organization id

var announcementId = "announcementId_example"; // {String} Announcement id

api.findOrganizationAnnouncement(organizationId, announcementId).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});


```

## Documentation for API Endpoints

All URIs are relative to *https://demo.kuntaapi.fi/v1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*KuntaApiClient.AnnouncementsApi* | [**findOrganizationAnnouncement**](docs/AnnouncementsApi.md#findOrganizationAnnouncement) | **GET** /organizations/{organizationId}/announcements/{announcementId} | Finds an organizations announcement
*KuntaApiClient.AnnouncementsApi* | [**listOrganizationAnnouncements**](docs/AnnouncementsApi.md#listOrganizationAnnouncements) | **GET** /organizations/{organizationId}/announcements | Lists organizations announcements
*KuntaApiClient.BannersApi* | [**findOrganizationBanner**](docs/BannersApi.md#findOrganizationBanner) | **GET** /organizations/{organizationId}/banners/{bannerId} | Finds organizations banner
*KuntaApiClient.BannersApi* | [**findOrganizationBannerImage**](docs/BannersApi.md#findOrganizationBannerImage) | **GET** /organizations/{organizationId}/banners/{bannerId}/images/{imageId} | Returns a single organiztion banner image
*KuntaApiClient.BannersApi* | [**getOrganizationBannerImageData**](docs/BannersApi.md#getOrganizationBannerImageData) | **GET** /organizations/{organizationId}/banners/{bannerId}/images/{imageId}/data | Returns an organization banner image data
*KuntaApiClient.BannersApi* | [**listOrganizationBannerImages**](docs/BannersApi.md#listOrganizationBannerImages) | **GET** /organizations/{organizationId}/banners/{bannerId}/images | Returns a list of organization banner images
*KuntaApiClient.BannersApi* | [**listOrganizationBanners**](docs/BannersApi.md#listOrganizationBanners) | **GET** /organizations/{organizationId}/banners | Lists organizations banners
*KuntaApiClient.CodesApi* | [**findCode**](docs/CodesApi.md#findCode) | **GET** /codes/{codeId} | Finds a code
*KuntaApiClient.CodesApi* | [**listCodes**](docs/CodesApi.md#listCodes) | **GET** /codes | Lists codes
*KuntaApiClient.ContactsApi* | [**findOrganizationContact**](docs/ContactsApi.md#findOrganizationContact) | **GET** /organizations/{organizationId}/contacts/{contactId} | Finds an organizations contact
*KuntaApiClient.ContactsApi* | [**listOrganizationContacts**](docs/ContactsApi.md#listOrganizationContacts) | **GET** /organizations/{organizationId}/contacts | Lists organizations contacts
*KuntaApiClient.ElectronicChannelsApi* | [**findServiceElectronicChannel**](docs/ElectronicChannelsApi.md#findServiceElectronicChannel) | **GET** /services/{serviceId}/electronicChannels/{electronicChannelId} | finds ElectronicChannel by electronicChannelId
*KuntaApiClient.ElectronicChannelsApi* | [**listServiceElectronicChannels**](docs/ElectronicChannelsApi.md#listServiceElectronicChannels) | **GET** /services/{serviceId}/electronicChannels | Lists ElectronicChannels by serviceId
*KuntaApiClient.ElectronicServiceChannelsApi* | [**findElectronicServiceChannel**](docs/ElectronicServiceChannelsApi.md#findElectronicServiceChannel) | **GET** /electronicServiceChannels/{electronicServiceChannelId} | Finds an electronic service channel by id
*KuntaApiClient.ElectronicServiceChannelsApi* | [**listElectronicServiceChannels**](docs/ElectronicServiceChannelsApi.md#listElectronicServiceChannels) | **GET** /electronicServiceChannels | Lists electronic service channels
*KuntaApiClient.ElectronicServiceChannelsApi* | [**updateElectronicServiceChannel**](docs/ElectronicServiceChannelsApi.md#updateElectronicServiceChannel) | **PUT** /electronicServiceChannels/{electronicServiceChannelId} | Updates a channel
*KuntaApiClient.EmergenciesApi* | [**findOrganizationEmergency**](docs/EmergenciesApi.md#findOrganizationEmergency) | **GET** /organizations/{organizationId}/emergencies/{emergencyId} | Returns organizations emergency by id
*KuntaApiClient.EmergenciesApi* | [**listOrganizationEmergencies**](docs/EmergenciesApi.md#listOrganizationEmergencies) | **GET** /organizations/{organizationId}/emergencies | Lists organizations emergencies
*KuntaApiClient.EventsApi* | [**findOrganizationEvent**](docs/EventsApi.md#findOrganizationEvent) | **GET** /organizations/{organizationId}/events/{eventId} | Returns organizations event by id
*KuntaApiClient.EventsApi* | [**findOrganizationEventImage**](docs/EventsApi.md#findOrganizationEventImage) | **GET** /organizations/{organizationId}/events/{eventId}/images/{imageId} | Returns an event image
*KuntaApiClient.EventsApi* | [**getOrganizationEventImageData**](docs/EventsApi.md#getOrganizationEventImageData) | **GET** /organizations/{organizationId}/events/{eventId}/images/{imageId}/data | Returns an event image data
*KuntaApiClient.EventsApi* | [**listOrganizationEventImages**](docs/EventsApi.md#listOrganizationEventImages) | **GET** /organizations/{organizationId}/events/{eventId}/images | Returns list of event images
*KuntaApiClient.EventsApi* | [**listOrganizationEvents**](docs/EventsApi.md#listOrganizationEvents) | **GET** /organizations/{organizationId}/events | Lists organizations events
*KuntaApiClient.FilesApi* | [**deleteOrganizationFile**](docs/FilesApi.md#deleteOrganizationFile) | **DELETE** /organizations/{organizationId}/files/{fileId} | Deletes an organization file
*KuntaApiClient.FilesApi* | [**findOrganizationFile**](docs/FilesApi.md#findOrganizationFile) | **GET** /organizations/{organizationId}/files/{fileId} | Finds organizations file
*KuntaApiClient.FilesApi* | [**getOrganizationFileData**](docs/FilesApi.md#getOrganizationFileData) | **GET** /organizations/{organizationId}/files/{fileId}/data | Returns an organization file data
*KuntaApiClient.FilesApi* | [**listOrganizationFiles**](docs/FilesApi.md#listOrganizationFiles) | **GET** /organizations/{organizationId}/files | Lists organizations files
*KuntaApiClient.FragmentsApi* | [**findOrganizationFragment**](docs/FragmentsApi.md#findOrganizationFragment) | **GET** /organizations/{organizationId}/fragments/{fragmentId} | Finds organizations page fragment
*KuntaApiClient.FragmentsApi* | [**listOrganizationFragments**](docs/FragmentsApi.md#listOrganizationFragments) | **GET** /organizations/{organizationId}/fragments | Lists organizations page fragments
*KuntaApiClient.IncidentsApi* | [**findOrganizationIncident**](docs/IncidentsApi.md#findOrganizationIncident) | **GET** /organizations/{organizationId}/incidents/{incidentId} | Returns organizations incident by id
*KuntaApiClient.IncidentsApi* | [**listOrganizationIncidents**](docs/IncidentsApi.md#listOrganizationIncidents) | **GET** /organizations/{organizationId}/incidents | Lists organizations incidents
*KuntaApiClient.JobsApi* | [**findOrganizationJob**](docs/JobsApi.md#findOrganizationJob) | **GET** /organizations/{organizationId}/jobs/{jobId} | Finds organizations job
*KuntaApiClient.JobsApi* | [**listOrganizationJobs**](docs/JobsApi.md#listOrganizationJobs) | **GET** /organizations/{organizationId}/jobs | Lists organizations jobs
*KuntaApiClient.MenusApi* | [**findOrganizationMenu**](docs/MenusApi.md#findOrganizationMenu) | **GET** /organizations/{organizationId}/menus/{menuId} | Finds organizations menu
*KuntaApiClient.MenusApi* | [**findOrganizationMenuItem**](docs/MenusApi.md#findOrganizationMenuItem) | **GET** /organizations/{organizationId}/menus/{menuId}/items/{menuItemId} | Finds organization menu item
*KuntaApiClient.MenusApi* | [**listOrganizationMenuItems**](docs/MenusApi.md#listOrganizationMenuItems) | **GET** /organizations/{organizationId}/menus/{menuId}/items | Lists organizations menu items
*KuntaApiClient.MenusApi* | [**listOrganizationMenus**](docs/MenusApi.md#listOrganizationMenus) | **GET** /organizations/{organizationId}/menus | Lists organizations menus
*KuntaApiClient.NewsApi* | [**findOrganizationNewsArticle**](docs/NewsApi.md#findOrganizationNewsArticle) | **GET** /organizations/{organizationId}/news/{newsArticleId} | Finds organizations news article
*KuntaApiClient.NewsApi* | [**findOrganizationNewsArticleImage**](docs/NewsApi.md#findOrganizationNewsArticleImage) | **GET** /organizations/{organizationId}/news/{newsArticleId}/images/{imageId} | Returns an news article image
*KuntaApiClient.NewsApi* | [**getOrganizationNewsArticleImageData**](docs/NewsApi.md#getOrganizationNewsArticleImageData) | **GET** /organizations/{organizationId}/news/{newsArticleId}/images/{imageId}/data | Returns a news article image data
*KuntaApiClient.NewsApi* | [**listOrganizationNews**](docs/NewsApi.md#listOrganizationNews) | **GET** /organizations/{organizationId}/news | Lists organizations news
*KuntaApiClient.NewsApi* | [**listOrganizationNewsArticleImages**](docs/NewsApi.md#listOrganizationNewsArticleImages) | **GET** /organizations/{organizationId}/news/{newsArticleId}/images | Returns list of news article images
*KuntaApiClient.OrganizationsApi* | [**findOrganization**](docs/OrganizationsApi.md#findOrganization) | **GET** /organizations/{organizationId} | Find organization
*KuntaApiClient.OrganizationsApi* | [**listOrganizations**](docs/OrganizationsApi.md#listOrganizations) | **GET** /organizations | List organizations
*KuntaApiClient.PagesApi* | [**deleteOrganizationPage**](docs/PagesApi.md#deleteOrganizationPage) | **DELETE** /organizations/{organizationId}/pages/{pageId} | Deletes an organizations page
*KuntaApiClient.PagesApi* | [**findOrganizationPage**](docs/PagesApi.md#findOrganizationPage) | **GET** /organizations/{organizationId}/pages/{pageId} | Finds organizations page
*KuntaApiClient.PagesApi* | [**findOrganizationPageContent**](docs/PagesApi.md#findOrganizationPageContent) | **GET** /organizations/{organizationId}/pages/{pageId}/content | Returns organizations page content in all available languages
*KuntaApiClient.PagesApi* | [**findOrganizationPageImage**](docs/PagesApi.md#findOrganizationPageImage) | **GET** /organizations/{organizationId}/pages/{pageId}/images/{imageId} | Returns a single organiztion page image
*KuntaApiClient.PagesApi* | [**getOrganizationPageImageData**](docs/PagesApi.md#getOrganizationPageImageData) | **GET** /organizations/{organizationId}/pages/{pageId}/images/{imageId}/data | Returns an organization page image data
*KuntaApiClient.PagesApi* | [**listOrganizationPageImages**](docs/PagesApi.md#listOrganizationPageImages) | **GET** /organizations/{organizationId}/pages/{pageId}/images | Returns a list of organization page images
*KuntaApiClient.PagesApi* | [**listOrganizationPages**](docs/PagesApi.md#listOrganizationPages) | **GET** /organizations/{organizationId}/pages | Lists organizations pages
*KuntaApiClient.PhoneChannelsApi* | [**findServicePhoneChannel**](docs/PhoneChannelsApi.md#findServicePhoneChannel) | **GET** /services/{serviceId}/phoneChannels/{phoneChannelId} | finds PhoneChannel by phoneChannelId
*KuntaApiClient.PhoneChannelsApi* | [**listServicePhoneChannels**](docs/PhoneChannelsApi.md#listServicePhoneChannels) | **GET** /services/{serviceId}/phoneChannels | Lists PhoneChannels by serviceId
*KuntaApiClient.PhoneServiceChannelsApi* | [**findPhoneServiceChannel**](docs/PhoneServiceChannelsApi.md#findPhoneServiceChannel) | **GET** /phoneServiceChannels/{phoneServiceChannelId} | Finds a phone service channel by id
*KuntaApiClient.PhoneServiceChannelsApi* | [**listPhoneServiceChannels**](docs/PhoneServiceChannelsApi.md#listPhoneServiceChannels) | **GET** /phoneServiceChannels | Lists phone service channels
*KuntaApiClient.PrintableFormChannelsApi* | [**findServicePrintableFormChannel**](docs/PrintableFormChannelsApi.md#findServicePrintableFormChannel) | **GET** /services/{serviceId}/printableFormChannels/{printableFormChannelId} | finds PrintableFormChannel by printableFormChannelId
*KuntaApiClient.PrintableFormChannelsApi* | [**listServicePrintableFormChannels**](docs/PrintableFormChannelsApi.md#listServicePrintableFormChannels) | **GET** /services/{serviceId}/printableFormChannels | Lists PrintableFormChannels by serviceId
*KuntaApiClient.PrintableFormServiceChannelsApi* | [**findPrintableFormServiceChannel**](docs/PrintableFormServiceChannelsApi.md#findPrintableFormServiceChannel) | **GET** /printableFormServiceChannels/{printableFormServiceChannelId} | Finds a printable form service channel
*KuntaApiClient.PrintableFormServiceChannelsApi* | [**listPrintableFormServiceChannels**](docs/PrintableFormServiceChannelsApi.md#listPrintableFormServiceChannels) | **GET** /printableFormServiceChannels | Lists printable form service channels
*KuntaApiClient.PublicTransportApi* | [**findOrganizationPublicTransportAgency**](docs/PublicTransportApi.md#findOrganizationPublicTransportAgency) | **GET** /organizations/{organizationId}/transportAgencies/{agencyId} | Finds an organizations public transport agency
*KuntaApiClient.PublicTransportApi* | [**findOrganizationPublicTransportRoute**](docs/PublicTransportApi.md#findOrganizationPublicTransportRoute) | **GET** /organizations/{organizationId}/transportRoutes/{routeId} | Finds an organizations public transport route
*KuntaApiClient.PublicTransportApi* | [**findOrganizationPublicTransportSchedule**](docs/PublicTransportApi.md#findOrganizationPublicTransportSchedule) | **GET** /organizations/{organizationId}/transportSchedules/{scheduleId} | Finds organizations public transport schedule
*KuntaApiClient.PublicTransportApi* | [**findOrganizationPublicTransportStop**](docs/PublicTransportApi.md#findOrganizationPublicTransportStop) | **GET** /organizations/{organizationId}/transportStops/{stopId} | Finds a stop of organizations public transport route
*KuntaApiClient.PublicTransportApi* | [**findOrganizationPublicTransportStopTime**](docs/PublicTransportApi.md#findOrganizationPublicTransportStopTime) | **GET** /organizations/{organizationId}/transportStopTimes/{stopTimeId} | Finds organizations public transport stopTime
*KuntaApiClient.PublicTransportApi* | [**findOrganizationPublicTransportTrip**](docs/PublicTransportApi.md#findOrganizationPublicTransportTrip) | **GET** /organizations/{organizationId}/transportTrips/{tripId} | Finds organizations public transport trip
*KuntaApiClient.PublicTransportApi* | [**listOrganizationPublicTransportAgencies**](docs/PublicTransportApi.md#listOrganizationPublicTransportAgencies) | **GET** /organizations/{organizationId}/transportAgencies | Lists organizations public transport agencies
*KuntaApiClient.PublicTransportApi* | [**listOrganizationPublicTransportRoutes**](docs/PublicTransportApi.md#listOrganizationPublicTransportRoutes) | **GET** /organizations/{organizationId}/transportRoutes | Lists organizations public transport routes
*KuntaApiClient.PublicTransportApi* | [**listOrganizationPublicTransportSchedules**](docs/PublicTransportApi.md#listOrganizationPublicTransportSchedules) | **GET** /organizations/{organizationId}/transportSchedules | Lists schedules of organization&#39;s public transport schedules
*KuntaApiClient.PublicTransportApi* | [**listOrganizationPublicTransportStopTimes**](docs/PublicTransportApi.md#listOrganizationPublicTransportStopTimes) | **GET** /organizations/{organizationId}/transportStopTimes | Lists stopTimes of organization&#39;s public transport stopTimes
*KuntaApiClient.PublicTransportApi* | [**listOrganizationPublicTransportStops**](docs/PublicTransportApi.md#listOrganizationPublicTransportStops) | **GET** /organizations/{organizationId}/transportStops | Lists organizations public transport stops
*KuntaApiClient.PublicTransportApi* | [**listOrganizationPublicTransportTrips**](docs/PublicTransportApi.md#listOrganizationPublicTransportTrips) | **GET** /organizations/{organizationId}/transportTrips | Lists trips of organization&#39;s public transport trips
*KuntaApiClient.ServiceChannelsApi* | [**findElectronicServiceChannel**](docs/ServiceChannelsApi.md#findElectronicServiceChannel) | **GET** /electronicServiceChannels/{electronicServiceChannelId} | Finds an electronic service channel by id
*KuntaApiClient.ServiceChannelsApi* | [**findPhoneServiceChannel**](docs/ServiceChannelsApi.md#findPhoneServiceChannel) | **GET** /phoneServiceChannels/{phoneServiceChannelId} | Finds a phone service channel by id
*KuntaApiClient.ServiceChannelsApi* | [**findPrintableFormServiceChannel**](docs/ServiceChannelsApi.md#findPrintableFormServiceChannel) | **GET** /printableFormServiceChannels/{printableFormServiceChannelId} | Finds a printable form service channel
*KuntaApiClient.ServiceChannelsApi* | [**findServiceLocationServiceChannel**](docs/ServiceChannelsApi.md#findServiceLocationServiceChannel) | **GET** /serviceLocationServiceChannels/{serviceLocationServiceChannelId} | Finds a service location service by id
*KuntaApiClient.ServiceChannelsApi* | [**findWebPageServiceChannel**](docs/ServiceChannelsApi.md#findWebPageServiceChannel) | **GET** /webPageServiceChannels/{webPageServiceChannelId} | Finds a web page service channel by id
*KuntaApiClient.ServiceChannelsApi* | [**listElectronicServiceChannels**](docs/ServiceChannelsApi.md#listElectronicServiceChannels) | **GET** /electronicServiceChannels | Lists electronic service channels
*KuntaApiClient.ServiceChannelsApi* | [**listPhoneServiceChannels**](docs/ServiceChannelsApi.md#listPhoneServiceChannels) | **GET** /phoneServiceChannels | Lists phone service channels
*KuntaApiClient.ServiceChannelsApi* | [**listPrintableFormServiceChannels**](docs/ServiceChannelsApi.md#listPrintableFormServiceChannels) | **GET** /printableFormServiceChannels | Lists printable form service channels
*KuntaApiClient.ServiceChannelsApi* | [**listServiceLocationServiceChannels**](docs/ServiceChannelsApi.md#listServiceLocationServiceChannels) | **GET** /serviceLocationServiceChannels | Lists service location service channels
*KuntaApiClient.ServiceChannelsApi* | [**listWebPageServiceChannels**](docs/ServiceChannelsApi.md#listWebPageServiceChannels) | **GET** /webPageServiceChannels | Lists web page service channels
*KuntaApiClient.ServiceChannelsApi* | [**updateElectronicServiceChannel**](docs/ServiceChannelsApi.md#updateElectronicServiceChannel) | **PUT** /electronicServiceChannels/{electronicServiceChannelId} | Updates a channel
*KuntaApiClient.ServiceChannelsApi* | [**updateServiceLocationServiceChannel**](docs/ServiceChannelsApi.md#updateServiceLocationServiceChannel) | **PUT** /serviceLocationServiceChannels/{serviceLocationServiceChannelId} | Updates a service location channel
*KuntaApiClient.ServiceLocationChannelsApi* | [**findServiceServiceLocationChannel**](docs/ServiceLocationChannelsApi.md#findServiceServiceLocationChannel) | **GET** /services/{serviceId}/serviceLocationChannels/{serviceLocationChannelId} | finds ServiceLocationChannel by serviceLocationChannelId
*KuntaApiClient.ServiceLocationChannelsApi* | [**listServiceServiceLocationChannels**](docs/ServiceLocationChannelsApi.md#listServiceServiceLocationChannels) | **GET** /services/{serviceId}/serviceLocationChannels | Lists ServiceLocationChannels by serviceId
*KuntaApiClient.ServiceLocationServiceChannelsApi* | [**findServiceLocationServiceChannel**](docs/ServiceLocationServiceChannelsApi.md#findServiceLocationServiceChannel) | **GET** /serviceLocationServiceChannels/{serviceLocationServiceChannelId} | Finds a service location service by id
*KuntaApiClient.ServiceLocationServiceChannelsApi* | [**listServiceLocationServiceChannels**](docs/ServiceLocationServiceChannelsApi.md#listServiceLocationServiceChannels) | **GET** /serviceLocationServiceChannels | Lists service location service channels
*KuntaApiClient.ServiceLocationServiceChannelsApi* | [**updateServiceLocationServiceChannel**](docs/ServiceLocationServiceChannelsApi.md#updateServiceLocationServiceChannel) | **PUT** /serviceLocationServiceChannels/{serviceLocationServiceChannelId} | Updates a service location channel
*KuntaApiClient.ServicesApi* | [**createService**](docs/ServicesApi.md#createService) | **POST** /services | Create service
*KuntaApiClient.ServicesApi* | [**findService**](docs/ServicesApi.md#findService) | **GET** /services/{serviceId} | Finds a service by id
*KuntaApiClient.ServicesApi* | [**findServiceElectronicChannel**](docs/ServicesApi.md#findServiceElectronicChannel) | **GET** /services/{serviceId}/electronicChannels/{electronicChannelId} | finds ElectronicChannel by electronicChannelId
*KuntaApiClient.ServicesApi* | [**findServicePhoneChannel**](docs/ServicesApi.md#findServicePhoneChannel) | **GET** /services/{serviceId}/phoneChannels/{phoneChannelId} | finds PhoneChannel by phoneChannelId
*KuntaApiClient.ServicesApi* | [**findServicePrintableFormChannel**](docs/ServicesApi.md#findServicePrintableFormChannel) | **GET** /services/{serviceId}/printableFormChannels/{printableFormChannelId} | finds PrintableFormChannel by printableFormChannelId
*KuntaApiClient.ServicesApi* | [**findServiceServiceLocationChannel**](docs/ServicesApi.md#findServiceServiceLocationChannel) | **GET** /services/{serviceId}/serviceLocationChannels/{serviceLocationChannelId} | finds ServiceLocationChannel by serviceLocationChannelId
*KuntaApiClient.ServicesApi* | [**findServiceWebPageChannel**](docs/ServicesApi.md#findServiceWebPageChannel) | **GET** /services/{serviceId}/webPageChannels/{webPageChannelId} | finds WebPageChannel by webPageChannelId
*KuntaApiClient.ServicesApi* | [**listServiceElectronicChannels**](docs/ServicesApi.md#listServiceElectronicChannels) | **GET** /services/{serviceId}/electronicChannels | Lists ElectronicChannels by serviceId
*KuntaApiClient.ServicesApi* | [**listServicePhoneChannels**](docs/ServicesApi.md#listServicePhoneChannels) | **GET** /services/{serviceId}/phoneChannels | Lists PhoneChannels by serviceId
*KuntaApiClient.ServicesApi* | [**listServicePrintableFormChannels**](docs/ServicesApi.md#listServicePrintableFormChannels) | **GET** /services/{serviceId}/printableFormChannels | Lists PrintableFormChannels by serviceId
*KuntaApiClient.ServicesApi* | [**listServiceServiceLocationChannels**](docs/ServicesApi.md#listServiceServiceLocationChannels) | **GET** /services/{serviceId}/serviceLocationChannels | Lists ServiceLocationChannels by serviceId
*KuntaApiClient.ServicesApi* | [**listServiceWebPageChannels**](docs/ServicesApi.md#listServiceWebPageChannels) | **GET** /services/{serviceId}/webPageChannels | Lists WebPageChannels by serviceId
*KuntaApiClient.ServicesApi* | [**listServices**](docs/ServicesApi.md#listServices) | **GET** /services | Service list
*KuntaApiClient.ServicesApi* | [**updateService**](docs/ServicesApi.md#updateService) | **PUT** /services/{serviceId} | Updates service
*KuntaApiClient.SettingsApi* | [**createOrganizationSetting**](docs/SettingsApi.md#createOrganizationSetting) | **POST** /organizations/{organizationId}/settings/ | Creates organization setting
*KuntaApiClient.SettingsApi* | [**deleteOrganizationSetting**](docs/SettingsApi.md#deleteOrganizationSetting) | **DELETE** /organizations/{organizationId}/settings/{settingId} | Deletes an organization setting
*KuntaApiClient.SettingsApi* | [**findOrganizationSetting**](docs/SettingsApi.md#findOrganizationSetting) | **GET** /organizations/{organizationId}/settings/{settingId} | Finds organizations setting
*KuntaApiClient.SettingsApi* | [**listOrganizationSettings**](docs/SettingsApi.md#listOrganizationSettings) | **GET** /organizations/{organizationId}/settings/ | Lists organizations settings
*KuntaApiClient.SettingsApi* | [**updateOrganizationSetting**](docs/SettingsApi.md#updateOrganizationSetting) | **PUT** /organizations/{organizationId}/settings/{settingId} | Updates an organization setting
*KuntaApiClient.ShortlinksApi* | [**findOrganizationShortlink**](docs/ShortlinksApi.md#findOrganizationShortlink) | **GET** /organizations/{organizationId}/shortlinks/{shortlinkId} | Finds organization shortlink
*KuntaApiClient.ShortlinksApi* | [**listOrganizationShortlinks**](docs/ShortlinksApi.md#listOrganizationShortlinks) | **GET** /organizations/{organizationId}/shortlinks | Lists organizations shortlinks
*KuntaApiClient.TilesApi* | [**findOrganizationTile**](docs/TilesApi.md#findOrganizationTile) | **GET** /organizations/{organizationId}/tiles/{tileId} | Finds organizations tile
*KuntaApiClient.TilesApi* | [**findOrganizationTileImage**](docs/TilesApi.md#findOrganizationTileImage) | **GET** /organizations/{organizationId}/tiles/{tileId}/images/{imageId} | Returns a single organiztion tile image
*KuntaApiClient.TilesApi* | [**getOrganizationTileImageData**](docs/TilesApi.md#getOrganizationTileImageData) | **GET** /organizations/{organizationId}/tiles/{tileId}/images/{imageId}/data | Returns an organization tile image data
*KuntaApiClient.TilesApi* | [**listOrganizationTileImages**](docs/TilesApi.md#listOrganizationTileImages) | **GET** /organizations/{organizationId}/tiles/{tileId}/images | Returns a list of organization tile images
*KuntaApiClient.TilesApi* | [**listOrganizationTiles**](docs/TilesApi.md#listOrganizationTiles) | **GET** /organizations/{organizationId}/tiles | Lists organizations tiles
*KuntaApiClient.WebPageChannelsApi* | [**findServiceWebPageChannel**](docs/WebPageChannelsApi.md#findServiceWebPageChannel) | **GET** /services/{serviceId}/webPageChannels/{webPageChannelId} | finds WebPageChannel by webPageChannelId
*KuntaApiClient.WebPageChannelsApi* | [**listServiceWebPageChannels**](docs/WebPageChannelsApi.md#listServiceWebPageChannels) | **GET** /services/{serviceId}/webPageChannels | Lists WebPageChannels by serviceId
*KuntaApiClient.WebPageServiceChannelsApi* | [**findWebPageServiceChannel**](docs/WebPageServiceChannelsApi.md#findWebPageServiceChannel) | **GET** /webPageServiceChannels/{webPageServiceChannelId} | Finds a web page service channel by id
*KuntaApiClient.WebPageServiceChannelsApi* | [**listWebPageServiceChannels**](docs/WebPageServiceChannelsApi.md#listWebPageServiceChannels) | **GET** /webPageServiceChannels | Lists web page service channels


## Documentation for Models

 - [KuntaApiClient.Address](docs/Address.md)
 - [KuntaApiClient.Agency](docs/Agency.md)
 - [KuntaApiClient.Announcement](docs/Announcement.md)
 - [KuntaApiClient.Area](docs/Area.md)
 - [KuntaApiClient.Attachment](docs/Attachment.md)
 - [KuntaApiClient.BadRequest](docs/BadRequest.md)
 - [KuntaApiClient.Banner](docs/Banner.md)
 - [KuntaApiClient.Code](docs/Code.md)
 - [KuntaApiClient.CodeExtra](docs/CodeExtra.md)
 - [KuntaApiClient.Contact](docs/Contact.md)
 - [KuntaApiClient.ContactPhone](docs/ContactPhone.md)
 - [KuntaApiClient.ContactStatus](docs/ContactStatus.md)
 - [KuntaApiClient.Coordinate](docs/Coordinate.md)
 - [KuntaApiClient.Coordinates](docs/Coordinates.md)
 - [KuntaApiClient.DailyOpeningTime](docs/DailyOpeningTime.md)
 - [KuntaApiClient.ElectronicServiceChannel](docs/ElectronicServiceChannel.md)
 - [KuntaApiClient.Email](docs/Email.md)
 - [KuntaApiClient.Emergency](docs/Emergency.md)
 - [KuntaApiClient.EmergencySource](docs/EmergencySource.md)
 - [KuntaApiClient.Event](docs/Event.md)
 - [KuntaApiClient.FileDef](docs/FileDef.md)
 - [KuntaApiClient.Forbidden](docs/Forbidden.md)
 - [KuntaApiClient.Fragment](docs/Fragment.md)
 - [KuntaApiClient.Incident](docs/Incident.md)
 - [KuntaApiClient.InternalServerError](docs/InternalServerError.md)
 - [KuntaApiClient.Job](docs/Job.md)
 - [KuntaApiClient.Law](docs/Law.md)
 - [KuntaApiClient.LocalizedValue](docs/LocalizedValue.md)
 - [KuntaApiClient.Menu](docs/Menu.md)
 - [KuntaApiClient.MenuItem](docs/MenuItem.md)
 - [KuntaApiClient.Municipality](docs/Municipality.md)
 - [KuntaApiClient.NameTypeByLanguage](docs/NameTypeByLanguage.md)
 - [KuntaApiClient.NewsArticle](docs/NewsArticle.md)
 - [KuntaApiClient.NotFound](docs/NotFound.md)
 - [KuntaApiClient.NotImplemented](docs/NotImplemented.md)
 - [KuntaApiClient.OntologyItem](docs/OntologyItem.md)
 - [KuntaApiClient.Organization](docs/Organization.md)
 - [KuntaApiClient.OrganizationService](docs/OrganizationService.md)
 - [KuntaApiClient.OrganizationSetting](docs/OrganizationSetting.md)
 - [KuntaApiClient.Page](docs/Page.md)
 - [KuntaApiClient.PageMeta](docs/PageMeta.md)
 - [KuntaApiClient.Phone](docs/Phone.md)
 - [KuntaApiClient.PhoneServiceChannel](docs/PhoneServiceChannel.md)
 - [KuntaApiClient.PrintableFormServiceChannel](docs/PrintableFormServiceChannel.md)
 - [KuntaApiClient.Route](docs/Route.md)
 - [KuntaApiClient.Schedule](docs/Schedule.md)
 - [KuntaApiClient.ScheduleException](docs/ScheduleException.md)
 - [KuntaApiClient.Service](docs/Service.md)
 - [KuntaApiClient.ServiceChannelAttachment](docs/ServiceChannelAttachment.md)
 - [KuntaApiClient.ServiceHour](docs/ServiceHour.md)
 - [KuntaApiClient.ServiceLocationServiceChannel](docs/ServiceLocationServiceChannel.md)
 - [KuntaApiClient.ServiceOrganization](docs/ServiceOrganization.md)
 - [KuntaApiClient.ServiceVoucher](docs/ServiceVoucher.md)
 - [KuntaApiClient.Shortlink](docs/Shortlink.md)
 - [KuntaApiClient.Stop](docs/Stop.md)
 - [KuntaApiClient.StopTime](docs/StopTime.md)
 - [KuntaApiClient.Tile](docs/Tile.md)
 - [KuntaApiClient.Trip](docs/Trip.md)
 - [KuntaApiClient.WebPage](docs/WebPage.md)
 - [KuntaApiClient.WebPageServiceChannel](docs/WebPageServiceChannel.md)


## Documentation for Authorization


### basicAuth

- **Type**: HTTP basic authentication

